LibreOffice: InContentMetadata Service Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Included Services | Exported Interfaces | List of all members
InContentMetadata Service Reference

is a TextContent that can be used to attach RDF metadata to a range of text. More...

`import"InContentMetadata.idl";`

Inheritance diagram for InContentMetadata:

## Included Services
service | com::sun::star::text::TextContent
| None of the properties of TextContent are supported. More...

## Exported Interfaces
interface | com::sun::star::rdf::XMetadatable
| The InContentMetadata can have RDF metadata attached. More...
interface | com::sun::star::container::XEnumerationAccess
| The TextContents that are contained in the annotated range of text can be enumerated. More...
interface | com::sun::star::container::XChild
| The TextContent that is the parent of this text range. More...
Exported Interfaces inherited from TextContent
interface | com::sun::star::text::XTextContent
| This interface is used for the attachment of this text content to the surrounding text. More...

## Additional Inherited Members
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XMetadatable
void | ensureMetadataReference ()
| creates a metadata reference for this object, if necessary. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Attributes inherited from TextContent
com::sun::star::text::TextContentAnchorType | AnchorType
| specifies how the text content is attached to its surrounding Text. More...
sequence< com::sun::star::text::TextContentAnchorType > | AnchorTypes
| contains the anchor type of the text content. More...
com::sun::star::text::WrapTextMode | TextWrap
| specifies if the text content is a shape and how the text is wrapped around the shape. More...
Public Attributes inherited from XMetadatable
com::sun::star::beans::StringPair | MetadataReference { set raises(com::sun::star::lang::IllegalArgumentException); }
| a metadata reference, comprising the stream name and the XML ID. More...
Public Attributes inherited from XURI
string | Namespace
| prefix More...
string | LocalName
| suffix More...
Public Attributes inherited from XNode
string | StringValue
| the string value of the node. More...

## Detailed Description

is a TextContent that can be used to attach RDF metadata to a range of text.

Since
  OOo 3.2

## Exported Interfaces

service com::sun::star::text::TextContent

None of the properties of TextContent are supported.

## Exported Interfaces

interface com::sun::star::container::XChild

The TextContent that is the parent of this text range.

Since
  OOo 3.3

interface com::sun::star::container::XEnumerationAccess

The TextContents that are contained in the annotated range of text can be enumerated.

interface com::sun::star::rdf::XMetadatable

The InContentMetadata can have RDF metadata attached.

The documentation for this service was generated from the following file:

- com/sun/star/text/InContentMetadata.idl